libzypp 17.37.10

commitpackagepreloader_p.h File Reference
`#include <zypp-core/Pathname.h>`
`#include <zypp-core/zyppng/base/zyppglobal.h>`
`#include <zypp/sat/Transaction.h>`
`#include <zypp/media/UrlResolverPlugin.h>`
`#include <zypp/media/detail/DownloadProgressTracker.h>`
`#include <zypp/ZYppCallbacks.h>`
`#include <map>`
`#include <deque>`
`#include <chrono>`

Go to the source code of this file.

## Classes
class | zypp::CommitPackagePreloader
struct | zypp::CommitPackagePreloader::RepoUrl
struct | zypp::CommitPackagePreloader::RepoDownloadData

## Namespaces
namespace | zyppng
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (NetworkRequestDispatcher)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (NetworkRequest)